Subject: Re: MS-DOS FST
From: [email-masked] (Todd P. Whitesel)
Date: 13 Dec 91 12:04:21 GMT
Newsgroups: comp.sys.apple2

[email-masked] (Rob Dewhirst) writes:

>is bad enough, and I think anyone who writes software that crashes a
>networked machine ought to be shot.  If FTA has the forsight to make
>their software network friendly I might take that back, but I'm not

Oh, so THAT's what was causing the crashes I got after running noisetracker.

Actually, the network drivers on the GS are pretty brain-dead anyway, it can't
be hard to confuse the hell out of them. I've had problems with file-tansfers
to/from a marginal (CAP/AUFS) server in another Zone (acutally a unix machine
on the ethernet side of the fastpath) where the connection gets dropped, the
AppleShare FST sits there for two freaking minutes holding up the entire
machine before it decides the server is gone, and then the AppleTalk protocols
are convinced that the gateway is gone and won't believe it's come back until
the gateway's 10-second RTMP broadcast is successfully received. I got sick of
waiting for it and so I just pop into Visit Monitor and poke the gateway's
node number into E1/D013, and the zone list pops back up in a jiffy.

BTW for those of you who are interested, the net number is a reverse word at
E1/D010, and your machine's node number is at E1/D012, although I haven't
played with D012 much yet so do so at your own risk.

Hey Mark Day -- any chance the AppleTalk drivers could be patched to broadcast
ZIP requests when the BridgeNode is 0 ?? It would make my life a lot easier!!
I can manually broadcast a GetZoneList with a utility I wrote, but the protocol
drivers' ZIP listener doesn't clue in to the fact that a gateway answered.

Todd Whitesel
toddpw @ tybalt.caltech.edu